/* eslint-disable */ import React from 'react';
import styled from 'styled-components';
import { IconDownload } from '@salutejs/plasma-icons';
import { Button } from '../Button';
import { Tooltip } from '.';
var StyledGrid = styled.div.withConfig({
    displayName: "Tooltip.perftest__StyledGrid",
    componentId: "sc-af99ceed-0"
})([
    "display:grid;grid-template-columns:repeat(3,max-content);grid-gap:1rem 3.5rem;padding:2.5rem;"
]);
export var All = function() {
    return /*#__PURE__*/ React.createElement(StyledGrid, null, /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Tooltip, {
            target: /*#__PURE__*/ React.createElement(Button, {
                contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
            }),
            placement: "left",
            opened: true,
            hasArrow: true,
            text: "Left"
        }),
        placement: "top-start",
        opened: true,
        hasArrow: true,
        text: "Top start"
    }), /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Button, {
            contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
        }),
        placement: "top",
        opened: true,
        hasArrow: true,
        text: "Top"
    }), /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Tooltip, {
            target: /*#__PURE__*/ React.createElement(Button, {
                contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
            }),
            placement: "right",
            opened: true,
            hasArrow: true,
            text: "Right"
        }),
        placement: "top-end",
        opened: true,
        hasArrow: true,
        text: "Top end"
    }), /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Button, {
            contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
        }),
        placement: "bottom-start",
        opened: true,
        hasArrow: true,
        text: "Bottom start"
    }), /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Button, {
            contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
        }),
        placement: "bottom",
        opened: true,
        hasArrow: true,
        text: "Bottom"
    }), /*#__PURE__*/ React.createElement(Tooltip, {
        target: /*#__PURE__*/ React.createElement(Button, {
            contentLeft: /*#__PURE__*/ React.createElement(IconDownload, null)
        }),
        placement: "bottom-end",
        opened: true,
        hasArrow: true,
        text: "Bottom end"
    }));
};
